--- agpgart_be.c.orig	Sat Jul 27 20:10:27 2002
+++ agpgart_be.c	Sat Jul 27 20:10:46 2002
@@ -1685,6 +1685,12 @@
 	return 0;
 }
 
+static void intel_845_resume(void)
+{
+   intel_845_configure();
+}
+
+
 static int intel_850_configure(void)
 {
 	u32 temp;
@@ -1933,6 +1939,7 @@
 
 static int __init intel_845_setup (struct pci_dev *pdev)
 {
+        printk(KERN_WARNING PFX "intel_845_resume = intel_845_configure\n");
 	agp_bridge.masks = intel_generic_masks;
 	agp_bridge.num_of_masks = 1;
 	agp_bridge.aperture_sizes = (void *) intel_8xx_sizes;
@@ -1956,7 +1963,7 @@
 	agp_bridge.agp_alloc_page = agp_generic_alloc_page;
 	agp_bridge.agp_destroy_page = agp_generic_destroy_page;
 	agp_bridge.suspend = agp_generic_suspend;
-	agp_bridge.resume = agp_generic_resume;
+	agp_bridge.resume = intel_845_resume;
 	agp_bridge.cant_use_aperture = 0;
 
 	return 0;
